# List alert destinations (/docs/api/logs/alerts_destinations_list)

Where alerts go (email, webhook endpoints, Slack, Discord, Microsoft Teams, PagerDuty, Opsgenie) with delivery health. Secrets are masked.

`GET /v1/alerts/destinations`

```json
{
  "operationId": "alerts_destinations_list",
  "summary": "List alert destinations",
  "description": "Where alerts go (email, webhook endpoints, Slack, Discord, Microsoft Teams, PagerDuty, Opsgenie) with delivery health. Secrets are masked.",
  "tags": [
    "alerts"
  ],
  "security": [
    {
      "bearer": []
    }
  ],
  "responses": {
    "200": {
      "description": "OK",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "items": {
                "type": "array",
                "items": {
                  "type": "object",
                  "properties": {
                    "object": {
                      "type": "string",
                      "enum": [
                        "alert_destination"
                      ]
                    },
                    "id": {
                      "type": "string",
                      "pattern": "^dst_[a-z0-9]{8,32}$"
                    },
                    "type": {
                      "type": "string",
                      "enum": [
                        "email",
                        "webhook",
                        "slack",
                        "discord",
                        "teams",
                        "pagerduty",
                        "opsgenie"
                      ]
                    },
                    "name": {
                      "type": "string",
                      "minLength": 1,
                      "maxLength": 80
                    },
                    "enabled": {
                      "type": "boolean",
                      "default": true
                    },
                    "min_severity": {
                      "type": "string",
                      "enum": [
                        "info",
                        "warning",
                        "critical"
                      ],
                      "default": "info"
                    },
                    "notify_on_resolve": {
                      "type": "boolean",
                      "default": true
                    },
                    "config": {
                      "oneOf": [
                        {
                          "type": "object",
                          "properties": {
                            "type": {
                              "type": "string",
                              "enum": [
                                "email"
                              ]
                            },
                            "recipients": {
                              "type": "array",
                              "items": {
                                "type": "string",
                                "maxLength": 254,
                                "format": "email"
                              },
                              "minItems": 1,
                              "maxItems": 20
                            },
                            "digest": {
                              "type": "string",
                              "enum": [
                                "immediate",
                                "hourly",
                                "daily"
                              ],
                              "default": "immediate"
                            }
                          },
                          "required": [
                            "type",
                            "recipients"
                          ]
                        },
                        {
                          "type": "object",
                          "properties": {
                            "type": {
                              "type": "string",
                              "enum": [
                                "webhook"
                              ]
                            },
                            "endpoint_id": {
                              "type": "string",
                              "pattern": "^whe_[a-z0-9]{8,32}$"
                            }
                          },
                          "required": [
                            "type",
                            "endpoint_id"
                          ]
                        },
                        {
                          "type": "object",
                          "properties": {
                            "type": {
                              "type": "string",
                              "enum": [
                                "slack"
                              ]
                            },
                            "channel": {
                              "type": "string",
                              "maxLength": 80,
                              "default": ""
                            }
                          },
                          "required": [
                            "type"
                          ]
                        },
                        {
                          "type": "object",
                          "properties": {
                            "type": {
                              "type": "string",
                              "enum": [
                                "discord"
                              ]
                            }
                          },
                          "required": [
                            "type"
                          ]
                        },
                        {
                          "type": "object",
                          "properties": {
                            "type": {
                              "type": "string",
                              "enum": [
                                "teams"
                              ]
                            }
                          },
                          "required": [
                            "type"
                          ]
                        },
                        {
                          "type": "object",
                          "properties": {
                            "type": {
                              "type": "string",
                              "enum": [
                                "pagerduty"
                              ]
                            },
                            "region": {
                              "type": "string",
                              "enum": [
                                "us",
                                "eu"
                              ],
                              "default": "us"
                            },
                            "severity_map": {
                              "type": "object",
                              "properties": {
                                "critical": {
                                  "type": "string",
                                  "enum": [
                                    "critical",
                                    "error",
                                    "warning",
                                    "info"
                                  ],
                                  "default": "critical"
                                },
                                "warning": {
                                  "type": "string",
                                  "enum": [
                                    "critical",
                                    "error",
                                    "warning",
                                    "info"
                                  ],
                                  "default": "warning"
                                },
                                "info": {
                                  "type": "string",
                                  "enum": [
                                    "critical",
                                    "error",
                                    "warning",
                                    "info"
                                  ],
                                  "default": "info"
                                }
                              },
                              "default": {}
                            }
                          },
                          "required": [
                            "type"
                          ]
                        },
                        {
                          "type": "object",
                          "properties": {
                            "type": {
                              "type": "string",
                              "enum": [
                                "opsgenie"
                              ]
                            },
                            "region": {
                              "type": "string",
                              "enum": [
                                "us",
                                "eu"
                              ],
                              "default": "us"
                            },
                            "priority_map": {
                              "type": "object",
                              "properties": {
                                "critical": {
                                  "type": "string",
                                  "enum": [
                                    "P1",
                                    "P2",
                                    "P3",
                                    "P4",
                                    "P5"
                                  ],
                                  "default": "P1"
                                },
                                "warning": {
                                  "type": "string",
                                  "enum": [
                                    "P1",
                                    "P2",
                                    "P3",
                                    "P4",
                                    "P5"
                                  ],
                                  "default": "P3"
                                },
                                "info": {
                                  "type": "string",
                                  "enum": [
                                    "P1",
                                    "P2",
                                    "P3",
                                    "P4",
                                    "P5"
                                  ],
                                  "default": "P5"
                                }
                              },
                              "default": {}
                            }
                          },
                          "required": [
                            "type"
                          ]
                        }
                      ]
                    },
                    "secret_hint": {
                      "type": [
                        "string",
                        "null"
                      ],
                      "maxLength": 120
                    },
                    "health": {
                      "type": "object",
                      "properties": {
                        "status": {
                          "type": "string",
                          "enum": [
                            "idle",
                            "healthy",
                            "failing",
                            "disabled"
                          ]
                        },
                        "deliveries": {
                          "type": "integer",
                          "minimum": 0
                        },
                        "failures": {
                          "type": "integer",
                          "minimum": 0
                        },
                        "consecutive_failures": {
                          "type": "integer",
                          "minimum": 0
                        },
                        "last_delivery_at": {
                          "type": [
                            "string",
                            "null"
                          ],
                          "format": "date-time"
                        },
                        "last_success_at": {
                          "type": [
                            "string",
                            "null"
                          ],
                          "format": "date-time"
                        },
                        "last_failure_at": {
                          "type": [
                            "string",
                            "null"
                          ],
                          "format": "date-time"
                        },
                        "last_error": {
                          "type": [
                            "string",
                            "null"
                          ],
                          "maxLength": 300
                        }
                      },
                      "required": [
                        "status",
                        "deliveries",
                        "failures",
                        "consecutive_failures",
                        "last_delivery_at",
                        "last_success_at",
                        "last_failure_at",
                        "last_error"
                      ]
                    },
                    "created_at": {
                      "type": "string",
                      "format": "date-time"
                    },
                    "updated_at": {
                      "type": "string",
                      "format": "date-time"
                    }
                  },
                  "required": [
                    "object",
                    "id",
                    "type",
                    "name",
                    "config",
                    "secret_hint",
                    "health",
                    "created_at",
                    "updated_at"
                  ]
                }
              }
            },
            "required": [
              "items"
            ]
          }
        }
      }
    },
    "default": {
      "description": "Error",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "error": {
                "type": "object",
                "properties": {
                  "code": {
                    "type": "string",
                    "enum": [
                      "invalid_request",
                      "unauthorized",
                      "insufficient_balance",
                      "max_cost_exceeded",
                      "scope_denied",
                      "budget_blocked",
                      "not_found",
                      "idempotency_mismatch",
                      "invalid_meta",
                      "rate_limited",
                      "upstream_error",
                      "response_buffer_limit",
                      "provider_capacity_unavailable",
                      "grid_saturated",
                      "upstream_timeout",
                      "conflict",
                      "internal_error",
                      "account_frozen",
                      "strict_filters",
                      "plan_limit_reached",
                      "validation_failed",
                      "deadline_exceeded",
                      "cancelled"
                    ]
                  },
                  "message": {
                    "type": "string"
                  },
                  "request_id": {
                    "type": "string"
                  },
                  "call_id": {
                    "type": "string"
                  },
                  "retry_after_ms": {
                    "type": "integer",
                    "minimum": 0
                  },
                  "details": {
                    "type": "object",
                    "additionalProperties": {}
                  }
                },
                "required": [
                  "code",
                  "message"
                ]
              }
            },
            "required": [
              "error"
            ]
          }
        }
      }
    }
  }
}
```
